> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Report Schedule

Replaces the `email_recipients` on an existing Report Schedule. The
`type` of a Report Schedule cannot be updated.

## Path Parameters

## Body

## Returns

Returns the updated Report Schedule object.

```bash cURL theme={null}
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "email_recipients": ["ops@example.com", "reports@example.com"]
  }'
```

```javascript Node.js theme={null}
const reportSchedule = await method.reportSchedules.update('rpt_sch_Gqjh8pzeUfzH6', {
  email_recipients: ['ops@example.com', 'reports@example.com'],
});
```

```python Python theme={null}
report_schedule = method.report_schedules.update('rpt_sch_Gqjh8pzeUfzH6', {
  'email_recipients': ['ops@example.com', 'reports@example.com']
})
```

```json theme={null}
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "type": "payments.created.previous_day",
  "email_recipients": [
    "ops@example.com",
    "reports@example.com"
  ],
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.